Litchi and iPad compatibility

Joined
Jan 27, 2016
Messages
132
Reaction score
12
Location
Western NY
New owner of a P3S, and would like to install Litchi for a variety of reasons. DJI GO is ok, but would like to try Litchi.
Problem is my 4th gen Ipad (Model A1458) will not work when I try to download it. "Not compatible with this device". Dang!
Any suggestions as to what 9.7 inch Apple device will work with Litchi? My tired old eyes like the bigger screen.
 
Joined
Sep 6, 2019
Messages
1
Reaction score
0
Age
66
I just picked up an iPad 6 for my P4 ( 128/cellular) DJI 4 and Litchi both loaded up with zero problems. I have not used it yet, but I do not anticipate any issues. I have been flying for the last 2 years with my iPhone 7+ with zero problems. A great big screen! I hope this helps. Peace
 
Joined
Oct 4, 2016
Messages
51
Reaction score
15
Age
65
I have litchi on my older Samsung S2 and my ipad mini, which I bought about 2 years ago, so I am not sure which generation it is, but I think it's a mini 4. It runs fine on my iPad mini, and up till recently I thought it was running okay on my S2 Samsung, but my last mission the app just quit and would not restart.

I had thought I was getting extra life from my S2 as I quit using it because the GO4 app just kept quitting in mid flight. This was the first time it quit on me on the Samsung, it would not even start again. I may uninstall and reinstall to see what happens.
 
Joined
Apr 15, 2019
Messages
21
Reaction score
7
I've been using an iPad Air 2, w/12.4.1 , no problems with Litchi and DJI Go.
 
Joined
Feb 24, 2019
Messages
26
Reaction score
8
Age
71
i use an ipad 4 with litchi but it earlier vision and dji go apps
all work fine
 
Joined
Jun 7, 2017
Messages
750
Reaction score
516
Age
67
Location
Georgia, US

Members online

Forum statistics

Threads
142,317
Messages
1,462,084
Members
104,081
Latest member
xXIOSCARIXx